/*****************************************************************************
 * RedeemDialog.cs: SharpMusique 0.1
 *****************************************************************************
 * Copyright (C) 2005 Jon Lech Johansen <jon@nanocrew.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.
 *****************************************************************************/

using System;

using Gtk;
using Glade;

class RedeemDialog : GladeDialog
{
    [Widget] protected Label label;
    [Widget] protected Entry entry;

    public string Text
    {
        get
        {
            return entry.Text;
        }
    }

    public RedeemDialog( Window parent, string Title, string LabelText ) :
           base ("RedeemDialog.glade", parent)
    {
        Self.Title = Title;
        label.Text = LabelText;
    }
}
