#region LICENSE
// Copyright (C) 2003 Ecmel Ercan
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// Ecmel Ercan (ecmel@ercansoy.com)
#endregion

using System;
using Gtk;
using Glade;

public class TextDisplayDialog : GladeDialog
{
    [Glade.Widget] private TextView text_view;

    private void response (object obj, ResponseArgs args)
    {
        (obj as TextDisplayDialog).Destroy ();
    }

    public TextDisplayDialog (Window parent, string title, string text)
            : base ("TextDisplayDialog.glade", parent)
    {
        glade_dialog.Title = title;
        text_view.Buffer.Text = text;
        this.Response += new ResponseHandler (response);
    }
}
